Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77744 - kernel oops when mounting intermezzo fs
Summary: kernel oops when mounting intermezzo fs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-12 23:29 UTC by ajs
Modified: 2008-08-01 16:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:11 UTC


Attachments (Terms of Use)

Description ajs 2002-11-12 23:29:19 UTC
Description of Problem:
kernel oops when mounting intermezzo fs

Version-Release number of selected component (if applicable):
kernel-smp-2.4.18-17.8.0

How Reproducible:
always

Steps to Reproduce:
1. modprobe intermezzo
2. mount -t intermezzo /dev/sda4 /intermezzo/seward

Actual Results:
Here is the output of dmesg:
  InterMezzo Kernel/Lento communications, v1.04, braam@inter-mezzo.org
  3w-xxxx: scsi0: AEN: INFO: Initialization started: Unit #0.
  Unable to handle kernel NULL pointer dereference at virtual address 00000000
   printing eip:
  c0156ed4
  *pde = 00000000
  Oops: 0000
  intermezzo emu10k1 sound soundcore ac97_codec mga agpgart nfsd nfs lockd sunrp
  CPU:    0
  EIP:    0010:[<c0156ed4>]    Not tainted
  EFLAGS: 00010292

  EIP is at path_init [kernel] 0x14 (2.4.18-17.8.0smp)
  eax: 00000000   ebx: e0571de4   ecx: e0571de4   edx: 00000008
  esi: 00000000   edi: 00000000   ebp: e0571e8c   esp: e0571da8
  ds: 0018   es: 0018   ss: 0018
  Process mount (pid: 6827, stackpage=e0571000)
  Stack: c015243e c35eaf00 00000000 00000000 00000000 fb511134 e0562580 00000000 
         00000000 e0570000 fb52bc2b 00000000 e0571de4 00000000 00000000 00000000 
         00000000 00000000 00000000 00000286 00000008 00000001 00000000 00000000 
  Call Trace: [<c015243e>] blkdev_get [kernel] 0x7e (0xe0571da8))
  [<fb511134>] presto_walk [intermezzo] 0x24 (0xe0571dbc))
  [<fb52bc2b>] presto_get_minor [intermezzo] 0x4b (0xe0571dd0))
  [<fb52befc>] presto_read_super [intermezzo] 0x10c (0xe0571e14))
  [<c0150b7c>] get_sb_bdev [kernel] 0x1bc (0xe0571eb0))
  [<fb537868>] presto_fs_type [intermezzo] 0x0 (0xe0571ef4))
  [<c0150f31>] do_kern_mount [kernel] 0x121 (0xe0571efc))
  [<fb537868>] presto_fs_type [intermezzo] 0x0 (0xe0571f00))
  [<c01667a3>] do_add_mount [kernel] 0x93 (0xe0571f20))
  [<c0166ad0>] do_mount [kernel] 0x160 (0xe0571f40))
  [<c0166919>] copy_mount_options [kernel] 0x79 (0xe0571f70))
  [<c0166fbf>] sys_mount [kernel] 0xdf (0xe0571f90))
  [<c0109457>] system_call [kernel] 0x33 (0xe0571fc0))


  Code: 80 38 2f 74 67 ba 00 e0 ff ff 21 e2 8b 82 50 06 00 00 83 c0 
 



Additional Information:

lsmod:
  Module                  Size  Used by    Not tainted
  intermezzo            195912   0  (unused)
  emu10k1                73032   0  (unused)
  sound                  77708   0  [emu10k1]
  soundcore               7108   7  [emu10k1 sound]
  ac97_codec             13512   0  [emu10k1]
  mga                   108992   1
  agpgart                43776   3
  nfsd                   81552   8  (autoclean)
  nfs                    85988   1  (autoclean)
  lockd                  58768   1  (autoclean) [nfsd nfs]
  sunrpc                 84668   1  (autoclean) [nfsd nfs lockd]
  3c59x                  31344   2
  ipchains               45004 720
  st                     31440   0  (unused)
  ext3                   72992   2
  jbd                    56688   2  [intermezzo ext3]
  aic7xxx               138356 0  (unused)
  3w-xxxx                33792   4
  sd_mod                 13552   8
  scsi_mod              110376   4  [st aic7xxx 3w-xxxx sd_mod]




cat /proc/partitions:

major minor  #blocks  name     rio rmerge rsect ruse wio wmerge wsect wuse
running use aveq

   8     0  293054208 sda 19392 114302 1068770 442734 24087 92509 934302 3751179
0 353105 4193919
   8     1     104391 sda1 19 161 360 125 20 25 94 935 0 890 1060
   8     2    2048287 sda2 1 0 8 9 0 0 0 0 0 9 9
   8     3  280591290 sda3 19349 114135 1068242 442156 24049 92484 934064
3749806 1 2870925 7013056
   8     4   10305697 sda4 21 0 144 376 18 0 144 439 0 816 816
   8    16    1045525 sdb 1 3 8 21 0 0 0 0 0 21 21
   8    20    1045488 sdb4 0 0 0 0 0 0 0 0 0 0 0

Comment 1 Ben Woodard 2003-01-06 10:31:23 UTC
confirmed that this still occurs with 2.4.18-19.8.0

Comment 2 Christopher Barton 2003-02-02 05:13:56 UTC
Building fs24/intermezzo.o from
ftp://ftp.inter-mezzo.org/pub/intermezzo/intersync-0.9.5.tar.gz and doing an
insmod on fs24/intermezzo.o seems to make the above scenario work (i.e. mount -t
intermezzo doesn't segfault).

Comment 3 Bugzilla owner 2004-09-30 15:40:11 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.